## dpm 1.2.0

=== DESCRIPTION ===
Package: dpm
Type: Package
Title: Dynamic Panel Models Fit with Maximum Likelihood
Version: 1.2.0
Authors@R: c(person(given = "Jacob A.",
  family = "Long", email = "jacob.long@sc.edu", 
  role = c("aut", "cre"), comment = c(ORCID = "0000-0002-1582-6214")),
  person(given = "Richard A.", family = "Williams", role = "aut"),
  person(given = "Paul D.", family = "Allison", role = "aut",
  comment = c(ORCID = "0000-0002-0646-5242")))
Description: Implements the dynamic panel models described by Allison, Williams,
 and Moral-Benito (2017 <doi:10.1177/2378023117710578>) in R. 
 This class of models uses structural equation modeling to specify dynamic 
 (lagged dependent variable) models with fixed effects for panel data. 
 Additionally, models may have predictors that are only weakly exogenous, i.e.,
 are affected by prior values of the dependent variable. Options also allow for
 random effects, dropping the lagged dependent variable, and a number of other 
 specification choices.
License: MIT + file LICENSE
BugReports: https://github.com/jacob-long/dpm/issues
URL: https://github.com/jacob-long/dpm
Encoding: UTF-8
Depends: R (>= 2.10), lavaan, methods
Imports: panelr, stringr, rlang, dplyr, crayon, Formula, jtools (>=
        2.0.1), stats4
Suggests: broom, tibble, covr, testthat
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2024-01-12 18:34:00 UTC; jacoblong
Author: Jacob A. Long [aut, cre] (<https://orcid.org/0000-0002-1582-6214>),
  Richard A. Williams [aut],
  Paul D. Allison [aut] (<https://orcid.org/0000-0002-0646-5242>)
Maintainer: Jacob A. Long <jacob.long@sc.edu>
Repository: CRAN
Date/Publication: 2024-01-16 14:00:08 UTC
