=== debian/control ===
Source: dpm
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 5), quilt, libcgsi-gsoap-dev, libglobus-gass-copy-dev, libglobus-ftp-client-dev, voms-dev, gsoap, libmysqlclient-dev | libmysqlclient16-dev | libmysqlclient15-dev | libmysqlclient12-dev | libmysqlclient10-dev, uuid-dev, liblcgdm-dev, swig, libperl-dev, perl, python-dev, python-support, xutils-dev
XS-Python-Version: current
Standards-Version: 3.8.4
Section: libs
DM-Upload-Allowed: yes
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/dpm
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/dpm
Homepage: http://glite.web.cern.ch/glite/

Package: libdpm1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Disk Pool Manager (DPM)
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package contains the runtime DPM client library.

Package: libdpm-dev
Section: libdevel
Architecture: any
Depends: libdpm1 (= ${binary:Version}), liblcgdm-dev, ${misc:Depends}
Description: DPM development libraries and header files
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package contains the development libraries and header files for DPM.

Package: dpm-client
Section: net
Architecture: any
Depends: libdpm1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Disk Pool Manager (DPM) client
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides the command line interfaces for the DPM.

Package: libdpm-perl
Section: perl
Architecture: any
Depends: libdpm1 (= ${binary:Version}), ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Description: Disk Pool Manager (DPM) perl bindings
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides Perl bindings for the DPM client library.

Package: python-dpm
Provides: ${python:Provides}
Section: python
Architecture: any
Depends: libdpm1 (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Disk Pool Manager (DPM) python bindings
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides Python bindings for the DPM client library.

Package: dpm-mysql
Section: net
Architecture: any
Depends: adduser, ${shlibs:Depends}, ${misc:Depends}
Description: Disk Pool Manager (DPM) server with MySQL database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM server that uses MySQL as its database
 backend.

Package: dpm-mysql-nameserver
Section: net
Architecture: any
Depends: dpm-mysql, ${shlibs:Depends}, ${misc:Depends}
Description: DPM nameserver server with MySQL database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM nameserver that uses MySQL as its
 database backend.

Package: dpm-mysql-copyd
Section: net
Architecture: any
Depends: dpm-mysql, ${shlibs:Depends}, ${misc:Depends}
Description: DPM copy server with MySQL database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM copy server that uses MySQL as its
 database backend.

Package: dpm-mysql-srmv1
Section: net
Architecture: any
Depends: dpm-mysql, ${shlibs:Depends}, ${misc:Depends}
Description: DPM SRM version 1 server with MySQL database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM SRM version 1 server that uses MySQL as
 its database backend.

Package: dpm-mysql-srmv2
Section: net
Architecture: any
Depends: dpm-mysql, ${shlibs:Depends}, ${misc:Depends}
Description: DPM SRM version 2 server with MySQL database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM SRM version 2 server that uses MySQL as
 its database backend.

Package: dpm-mysql-srmv22
Section: net
Architecture: any
Depends: dpm-mysql, ${shlibs:Depends}, ${misc:Depends}
Description: DPM SRM version 2.2 server with MySQL database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM SRM version 2.2 server that uses MySQL as
 its database backend.

Package: dpm-rfiod
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: DPM RFIO server
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provide a Remote File IO (RFIO) server for DPM.
