=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: dpm
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 5), quilt, libcgsi-gsoap-dev, libglobus-gass-copy-dev, libglobus-ftp-client-dev, voms-dev, gsoap, libmysqlclient-dev | libmysqlclient16-dev | libmysqlclient15-dev | libmysqlclient12-dev | libmysqlclient10-dev, uuid-dev, liblcgdm-dev, swig, libperl-dev, perl, python-dev, python-support, xutils-dev
+Build-Depends: debhelper (>= 5), quilt, libcgsi-gsoap-dev (>= 1.3.4.0), libglobus-gass-copy-dev, libglobus-ftp-client-dev, voms-dev, gsoap, libmysqlclient-dev | libmysqlclient16-dev | libmysqlclient15-dev | libmysqlclient12-dev | libmysqlclient10-dev, uuid-dev, liblcgdm-dev (>= 1.8.0.1), swig, libperl-dev, perl, python-dev, python-support, xutils-dev
 XS-Python-Version: current
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Section: libs
 DM-Upload-Allowed: yes
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/dpm
@@ -64,7 +64,7 @@
 Package: dpm-mysql
 Section: net
 Architecture: any
-Depends: adduser, ${shlibs:Depends}, ${misc:Depends}
+Depends: adduser, ${shlibs:Depends}, ${misc:Depends}, finger
 Description: Disk Pool Manager (DPM) server with MySQL database backend
  The LCG Disk Pool Manager (DPM) creates a storage element from a set
  of disks. It provides several interfaces for storing and retrieving
@@ -75,7 +75,7 @@
 Package: dpm-mysql-nameserver
 Section: net
 Architecture: any
-Depends: dpm-mysql, ${shlibs:Depends}, ${misc:Depends}
+Depends: dpm-mysql, ${shlibs:Depends}, ${misc:Depends}, finger, mysql-client
 Description: DPM nameserver server with MySQL database backend
  The LCG Disk Pool Manager (DPM) creates a storage element from a set
  of disks. It provides several interfaces for storing and retrieving
@@ -86,7 +86,7 @@
 Package: dpm-mysql-copyd
 Section: net
 Architecture: any
-Depends: dpm-mysql, ${shlibs:Depends}, ${misc:Depends}
+Depends: dpm-mysql, ${shlibs:Depends}, ${misc:Depends}, finger
 Description: DPM copy server with MySQL database backend
  The LCG Disk Pool Manager (DPM) creates a storage element from a set
  of disks. It provides several interfaces for storing and retrieving
@@ -97,7 +97,7 @@
 Package: dpm-mysql-srmv1
 Section: net
 Architecture: any
-Depends: dpm-mysql, ${shlibs:Depends}, ${misc:Depends}
+Depends: dpm-mysql, ${shlibs:Depends}, ${misc:Depends}, finger
 Description: DPM SRM version 1 server with MySQL database backend
  The LCG Disk Pool Manager (DPM) creates a storage element from a set
  of disks. It provides several interfaces for storing and retrieving
@@ -108,7 +108,7 @@
 Package: dpm-mysql-srmv2
 Section: net
 Architecture: any
-Depends: dpm-mysql, ${shlibs:Depends}, ${misc:Depends}
+Depends: dpm-mysql, ${shlibs:Depends}, ${misc:Depends}, finger
 Description: DPM SRM version 2 server with MySQL database backend
  The LCG Disk Pool Manager (DPM) creates a storage element from a set
  of disks. It provides several interfaces for storing and retrieving
@@ -119,7 +119,7 @@
 Package: dpm-mysql-srmv22
 Section: net
 Architecture: any
-Depends: dpm-mysql, ${shlibs:Depends}, ${misc:Depends}
+Depends: dpm-mysql, ${shlibs:Depends}, ${misc:Depends}, finger
 Description: DPM SRM version 2.2 server with MySQL database backend
  The LCG Disk Pool Manager (DPM) creates a storage element from a set
  of disks. It provides several interfaces for storing and retrieving
