=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 _mandir = $(_datadir)/man
 _docdir = $(_datadir)/doc
 
-VERSION=1.7.4.7
+VERSION=1.8.0.1
 
 DEB_BUILD_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)
