=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dpm
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 5), quilt, libcgsi-gsoap-dev (>= 1.3.4.0), libglobus-gass-copy-dev, libglobus-ftp-client-dev, voms-dev, gsoap, libmysqlclient-dev | libmysqlclient16-dev | libmysqlclient15-dev | libmysqlclient12-dev | libmysqlclient10-dev, uuid-dev, liblcgdm-dev (>= 1.8.0.1), swig, libperl-dev, perl, python-dev, python-support, xutils-dev
+Build-Depends: debhelper (>= 5), quilt, libcgsi-gsoap-dev (>= 1.3.4.2), libglobus-gass-copy-dev, libglobus-ftp-client-dev, voms-dev (>= 2), gsoap, libmysqlclient-dev | libmysqlclient16-dev | libmysqlclient15-dev | libmysqlclient12-dev | libmysqlclient10-dev, uuid-dev, liblcgdm-dev (>= 1.8.1.2), swig, libperl-dev, perl, python-dev, python-support, xutils-dev
 XS-Python-Version: current
 Standards-Version: 3.9.2
 Section: libs
