=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 _mandir = $(_datadir)/man
 _docdir = $(_datadir)/doc
 
-VERSION=1.8.0.1
+VERSION=1.8.1.2
 
 DEB_BUILD_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)
 
@@ -47,8 +47,6 @@
 		 lib/Imakefile shlib/Imakefile ; do \
 	    [ ! -e $$f.save ] && cp -p $$f $$f.save || : ; \
 	done
-
-	sed 's!@@LIBDIR@@!$(_libdir)!' -i security/Csec_api_loader.c
 
 	# The code violates the strict aliasing rules all over the place...
 	# Need to use -fnostrict-aliasing so that the -O2 optimization in
@@ -59,13 +57,13 @@
 	gsoapversion=`soapcpp2 -v 2>&1 | grep C++ | sed 's/.* //'` && \
 	./configure dpm --with-mysql \
 		--libdir=lib \
-		--with-gsoap-location=$(_prefix) \
 		--with-gsoap-version=$$gsoapversion \
-		--with-voms-location=$(_prefix) \
 		--with-dpm-config-file=$(_sysconfdir)/DPMCONFIG \
 		--with-id-map-file=$(_sysconfdir)/lcgdm-mapfile \
 		--with-ns-config-file=$(_sysconfdir)/DPNSCONFIG \
-		--with-sysconf-dir='$$(prefix)/../etc'
+		--with-sysconf-dir='$$(prefix)/../etc' \
+		--with-emi \
+	        --without-argus
 
 	sed -e '/^SECURITYDIR =/d' -e '/^COMMONDIR =/d' -i config/Project.tmpl
 	sed -e 's/:.*(lcgdm).*/:/' -i lib/Imakefile
@@ -77,13 +75,19 @@
 
 	touch $@
 
-build: build-stamp
+build: build-indep build-arch
+	:
+
+build-indep: build-stamp
+	:
+
+build-arch: build-stamp
 	:
 
 build-stamp: configure-stamp
 	dh_testdir
 
-	$(MAKE) prefix=$(_prefix)
+	$(MAKE) SOAPFLG="$(shell pkg-config --cflags gsoap)"
 
 	touch $@
 
@@ -102,8 +106,6 @@
 		 lib/Imakefile shlib/Imakefile ; do \
 	    [ -e $$f.save ] && mv $$f.save $$f || : ; \
 	done
-
-	sed 's!$(_libdir)!@@LIBDIR@@!' -i security/Csec_api_loader.c
 
 	rm -f imake/imake imake/imake.o imake/ccimake
 
@@ -133,8 +135,8 @@
 	ln -s libdpm1 debian/libdpm-dev$(_docdir)/libdpm-dev
 	dh_clean -k
 
-	$(MAKE) prefix=$(INSTALLDIR)$(_prefix) install
-	$(MAKE) prefix=$(INSTALLDIR)$(_prefix) install.man
+	$(MAKE) SOAPFLG="$(shell pkg-config --cflags gsoap)" \
+		prefix=$(INSTALLDIR)$(_prefix) install install.man
 
 	sed 's!/usr/bin/env python!/usr/bin/python!' \
 	    -i $(INSTALLDIR)$(_bindir)/dpm-listspaces
@@ -153,15 +155,15 @@
 	# dpm startup script
 	sed -e 's/LD_LIBRARY_PATH=$$LD_LIBRARY_PATH //' \
 	    -e '/LD_LIBRARY_PATH/d' \
-	    -e 's!/opt/lcg/bin!/usr/sbin!g' -e 's!/opt/lcg!!g' \
+	    -e 's!\$$PREFIX/bin!\$$PREFIX/sbin!' \
+	    -e 's!\$$PREFIX/etc!/etc!' \
 	    $(INSTALLDIR)$(_datadir)/dpm/rc.dpm > \
 	    $(INSTALLDIR)$(_sysconfdir)/dpm-mysql/dpm.init
 	chmod 755 $(INSTALLDIR)$(_sysconfdir)/dpm-mysql/dpm.init
 	rm $(INSTALLDIR)$(_datadir)/dpm/rc.dpm
 
 	# dpm configuration file
-	sed -e 's!/opt/lcg!!g' \
-	    -e 's/\(^DPNS_HOST=\).*/\1`hostname -f`/' \
+	sed -e 's/\(^DPNS_HOST=\).*/\1`hostname -f`/' \
 	    -e 's/\(^RUN_DPMDAEMON=\).*/\1"no"/' \
 	    $(INSTALLDIR)$(_sysconfdir)/dpm.conf.templ > \
 	    $(INSTALLDIR)$(_sysconfdir)/dpm-mysql/dpm.conf
@@ -195,7 +197,8 @@
 	# dpnsdaemon startup script
 	sed -e 's/LD_LIBRARY_PATH=$$LD_LIBRARY_PATH //' \
 	    -e '/LD_LIBRARY_PATH/d' \
-	    -e 's!/opt/lcg/bin!/usr/sbin!g' -e 's!/opt/lcg!!g' \
+	    -e 's!\$$PREFIX/bin!\$$PREFIX/sbin!' \
+	    -e 's!\$$PREFIX/etc!/etc!' \
 	    -e 's!/etc/NSCONFIG!/etc/DPNSCONFIG!g' \
 	    $(INSTALLDIR)$(_datadir)/dpm/rc.dpnsdaemon > \
 	    $(INSTALLDIR)$(_sysconfdir)/dpm-mysql/dpnsdaemon.init
@@ -203,8 +206,7 @@
 	rm $(INSTALLDIR)$(_datadir)/dpm/rc.dpnsdaemon
 
 	# dpnsdaemon configuration file
-	sed -e 's!/opt/lcg!!g' \
-	    -e 's!/etc/NSCONFIG!/etc/DPNSCONFIG!g' \
+	sed -e 's!/etc/NSCONFIG!/etc/DPNSCONFIG!g' \
 	    -e 's/\(^RUN_DPNSDAEMON=\).*/\1"no"/' \
 	    $(INSTALLDIR)$(_sysconfdir)/dpnsdaemon.conf.templ > \
 	    $(INSTALLDIR)$(_sysconfdir)/dpm-mysql/dpnsdaemon.conf
@@ -240,18 +242,19 @@
 	# dpmcopyd startup script
 	sed -e 's/LD_LIBRARY_PATH=$$LD_LIBRARY_PATH //' \
 	    -e '/LD_LIBRARY_PATH/d' \
-	    -e 's!/opt/lcg/bin!/usr/sbin!g' -e 's!/opt/lcg!!g' \
+	    -e 's!\$$PREFIX/bin!\$$PREFIX/sbin!' \
+	    -e 's!\$$PREFIX/etc!/etc!' \
 	    $(INSTALLDIR)$(_datadir)/dpm/rc.dpmcopyd > \
 	    $(INSTALLDIR)$(_sysconfdir)/dpm-mysql/dpmcopyd.init
 	chmod 755 $(INSTALLDIR)$(_sysconfdir)/dpm-mysql/dpmcopyd.init
 	rm $(INSTALLDIR)$(_datadir)/dpm/rc.dpmcopyd
 
 	# dpmcopyd configuration file
-	sed -e 's!/opt/lcg!!g' \
-	    -e 's/\(^DPNS_HOST=\).*/\1`hostname -f`/' \
+	sed -e 's/\(^DPNS_HOST=\).*/\1`hostname -f`/' \
 	    -e 's/\(^DPM_HOST=\).*/\1`hostname -f`/' \
 	    -e 's/\(^RUN_DPMCOPYDAEMON=\).*/\1"no"/' \
 	    $(INSTALLDIR)$(_sysconfdir)/dpmcopyd.conf.templ > \
 	    $(INSTALLDIR)$(_sysconfdir)/dpm-mysql/dpmcopyd.conf
 	rm $(INSTALLDIR)$(_sysconfdir)/dpmcopyd.conf.templ
 
+	# dpmcopyd log directory and log rotation configuration
